﻿@model IEnumerable<FruitMarketWebsite.Models.SaleModel>

@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div>
    Sales:
    <br />
    <table>
        @foreach (var s in Model)
        {
            <tr>
                <td>On @Html.DisplayFor(v => s.SaleDate) </td>
                <td> @Html.DisplayFor(v => s.Quantity) </td>
                <td>@Html.DisplayFor(v => s.Fruit.Name) (s)</td>
                <td> were sold for </td>
                <td>$@Html.DisplayFor(v => s.Fruit.Price)</td>
                <td> for a total: </td>
                <td>$@(s.Fruit.Price * s.Quantity) </td>  
              </tr>
        }
    </table>


    <br/>
    <br />

    @using (Html.BeginForm("Filter", "Sale", FormMethod.Get))
    { 
    <p>Start</p>
    <input type="datetime" name="startDate"/>
    <p>End</p>
    <input type="datetime" name="endDate"/>
    <input type="submit" value="Filter"/>

    }

    <br />
    <br />
    <br />


    <table>
        @foreach (var f in ViewData["fruits"] as List<FruitMarketWebsite.Models.SaleFruit>)
        {
            <tr>
                <td class="NameTD">@Html.DisplayFor(v => f.Name)</td>
                <td><input class="Quantity" type="text"/></td>
                <td><input class="Order" type="button" value="Order"/></td>
            </tr>
            }
    </table>

</div>


